## syncthing 1.29.2~ds1

=== debian/changelog ===
syncthing (1.29.2~ds1-1) unstable; urgency=medium

  [ Guillem Jover ]
  * Add a debian/.gitignore file

  [ Félix Sipma ]
  * New upstream version 1.29.2~ds1 (Closes: #1073238)
  * update signing-key.asc
  * add myself to Uploaders
  * remove use-google-flynn.patch (shlex not used anymore)
  * remove Do-not-hardcode-gopsutil-v3.patch (upgraded to v4)
  * rebase Compatibility-with-golang-github-pierrec-lz4-2.5.2.patch
  * do not copy lib/db/testdata (deleted upstream)
  * do not install syncthing-resume.service (removed upstream)
  * remove mentions of strelaypoolsrv (which is not built anymore, and just
    moved to cmd/infra/strelaypoolsrv) in debian/
  * update DH_GOLANG_EXCLUDES (exclude everything in cmd/dev/ and cmd/infra/)
  * add several golang dev libs to B-D:
    golang-github-getsentry-raven-go-dev,
    golang-github-maruel-panicparse-dev,
    golang-github-oschwald-geoip2-golang-dev,
    golang-github-maxmind-geoipupdate-dev,
    golang-github-puzpuzpuz-xsync-dev,
    golang-github-aws-aws-sdk-go-dev,
    golang-k8s-sigs-yaml-dev
  * remove several golang dev libs from B-D:
    golang-github-gogo-protobuf-dev,
    golang-github-lib-pq-dev,
    golang-github-minio-sha256-simd-dev
  * force building with golang-google-protobuf-dev >= 1.36.5
  * add "Forwarded-Upstream: not-needed" to various patches
  * add package-contains-documentation-outside-usr-share-doc to
    lintian-overrides (syncthing-gui needs html files)

 -- Félix Sipma <felix@debian.org>  Sat, 01 Mar 2025 18:42:47 +0100

=== debian/control ===
Source: syncthing
Section: utils
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Alexandre Viau <aviau@debian.org>,
 Aloïs Micard <creekorful@debian.org>,
 Félix Sipma <felix@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-golang,
 dh-sequence-movetousr,
 golang-any (>= 2:1.16~),
# Go libs
 genxdr,
 golang-github-alecthomas-kong-dev (>=0.2.17),
 golang-github-aws-aws-sdk-go-dev,
 golang-github-audriusbutkevicius-recli-dev,
 golang-github-calmh-incontainer-dev,
 golang-github-calmh-xdr-dev,
 golang-github-ccding-go-stun-dev (>= 0.1.2),
 golang-github-chmduquesne-rollinghash-dev (>= 4.0.0),
 golang-github-d4l3k-messagediff-dev,
 golang-github-getsentry-raven-go-dev,
 golang-github-go-ldap-ldap-dev (>=3.2.3),
 golang-github-gobwas-glob-dev (>= 0.2.1),
 golang-github-greatroar-blobloom-dev (>=0.7.0),
 golang-github-hashicorp-golang-lru-v2-dev,
 golang-github-jackpal-gateway-dev,
 golang-github-jackpal-go-nat-pmp-dev,
 golang-github-julienschmidt-httprouter-dev,
 golang-github-kballard-go-shellquote-dev,
 golang-github-maruel-panicparse-dev,
 golang-github-maxmind-geoipupdate-dev,
 golang-github-miscreant-miscreant.go-dev,
 golang-github-oschwald-geoip2-golang-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-pkg-errors-dev,
 golang-github-prometheus-client-golang-dev (>=0.9.0),
 golang-github-puzpuzpuz-xsync-dev,
 golang-github-quic-go-quic-go-dev (>= 0.46.0),
 golang-github-rabbitmq-amqp091-go-dev,
 golang-github-rcrowley-go-metrics-dev,
 golang-github-shirou-gopsutil-dev (>=3.21.12),
 golang-github-syncthing-notify-dev,
 golang-github-syndtr-goleveldb-dev,
 golang-github-thejerf-suture-dev (>=4.0.1),
 golang-github-urfave-cli-dev,
 golang-github-vitrun-qart-dev,
 golang-github-willabides-kongplete-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-exp-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools-dev,
 golang-google-protobuf-dev (>=1.36.5),
 golang-k8s-sigs-yaml-dev,
 golang-uber-automaxprocs-dev,
# Web things
 fonts-fork-awesome (>=1.1.5+ds1-2),
 libjs-bootstrap,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Homepage: https://www.syncthing.net/
Vcs-Browser: https://salsa.debian.org/go-team/packages/syncthing
Vcs-Git: https://salsa.debian.org/go-team/packages/syncthing.git
XS-Go-Import-Path: github.com/syncthing/syncthing

Package: golang-github-syncthing-syncthing-dev
Architecture: all
Section: golang
Depends:
 ${misc:Depends},
 golang-github-alecthomas-kong-dev (>=0.2.17),
 golang-github-aws-aws-sdk-go-dev,
 golang-github-audriusbutkevicius-pfilter-dev,
 golang-github-audriusbutkevicius-recli-dev,
 golang-github-calmh-xdr-dev,
 golang-github-ccding-go-stun-dev (>= 0.1.2),
 golang-github-chmduquesne-rollinghash-dev (>= 4.0.0),
 golang-github-getsentry-raven-go-dev,
 golang-github-go-ldap-ldap-dev (>=3.2.3),
 golang-github-gobwas-glob-dev (>= 0.2.1),
 golang-github-golang-groupcache-dev,
 golang-github-greatroar-blobloom-dev (>=0.7.0),
 golang-github-hashicorp-golang-lru-v2-dev,
 golang-github-jackpal-gateway-dev,
 golang-github-jackpal-go-nat-pmp-dev,
 golang-github-julienschmidt-httprouter-dev,
 golang-github-kballard-go-shellquote-dev,
 golang-github-maruel-panicparse-dev,
 golang-github-maxmind-geoipupdate-dev,
 golang-github-miscreant-miscreant.go-dev,
 golang-github-oschwald-geoip2-golang-dev,
 golang-github-pierrec-lz4-dev,
 golang-github-pkg-errors-dev,
 golang-github-prometheus-client-golang-dev (>=0.9.0),
 golang-github-puzpuzpuz-xsync-dev,
 golang-github-quic-go-quic-go-dev (>= 0.38.2),
 golang-github-rabbitmq-amqp091-go-dev,
 golang-github-rcrowley-go-metrics-dev,
 golang-github-shirou-gopsutil-dev (>=3.21.12),
 golang-github-syncthing-notify-dev,
 golang-github-syndtr-goleveldb-dev,
 golang-github-thejerf-suture-dev (>=4.0.1),
 golang-github-urfave-cli-dev,
 golang-github-vitrun-qart-dev,
 golang-github-willabides-kongplete-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
 golang-golang-x-time-dev,
 golang-golang-x-tools-dev,
 golang-google-protobuf-dev,
 golang-k8s-sigs-yaml-dev,
 golang-uber-automaxprocs-dev,
Description: decentralized file synchronization - dev package
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 This is the dev package.

Package: syncthing
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 xdg-utils,
Static-Built-Using: ${misc:Static-Built-Using}
Description: decentralized file synchronization
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 This package contains the main binary: syncthing.

Package: syncthing-relaysrv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Static-Built-Using: ${misc:Static-Built-Using}
Description: decentralized file synchronization - relay server
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 Syncthing relies on a network of community-contributed relay servers. Anyone
 can run a relay server, and it will automatically join the relay pool and be
 available to Syncthing users.
 .
 This package contains the relay server binary: strelaysrv.

Package: syncthing-discosrv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Static-Built-Using: ${misc:Static-Built-Using}
Description: decentralized file synchronization - discovery server
 Syncthing is an application that lets you synchronize your files across
 multiple devices. This means the creation, modification or deletion of files
 on one machine will automatically be replicated to your other devices.
 Syncthing does not upload your data to the cloud but exchanges your data
 across your machines as soon as they are online at the same time.
 .
 Syncthing relies on a discovery server to find peers on the internet. Anyone
 can run a discovery server and point its syncthing installations to it.
 .
 This package contains the discovery server binary: stdiscosrv.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SOURCE     = $(CURDIR)
PKG        = github.com/syncthing/syncthing

#export DH_GOLANG_GO_GENERATE := 1

# Upstream expects a version in format vX.Y.Z, and without this will
# not make a "clean release build" (Bug #1061296).  A better solution
# may be patch build.go script.  At that bug, Simon Frei notes that
# passing '-version <upstream_version' does not successfully inject a
# version, so the best solution is probably to enable that functionality.
#
# At that time Alexandre Viau's ST_DEB_VERSION implementation and
# comment should be resurrected (git commit <= 2df76fd), and mine erased.

export ST_DEB_VERSION := v$(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[^0-9.].*//g')

export DH_GOLANG_EXCLUDES := \
	cmd/dev/ \
	cmd/infra/ \
	meta($$|/) \
	# EOL

export GOCACHE := $(CURDIR)/_build/gocache
export GO111MODULE := off

%:
	dh $@ --buildsystem=golang --builddirectory=_build

execute_after_dh_auto_configure:
	###############
	## Web files ##
	###############
	# initial folders
	cp -r -v $(SOURCE)/gui _build/src/$(PKG)
	mkdir -p _build/src/$(PKG)/gui/default/vendor
	# Bootstrap
	mkdir -p _build/src/$(PKG)/gui/default/vendor/bootstrap
	cp -v -r /usr/share/javascript/bootstrap/css _build/src/$(PKG)/gui/default/vendor/bootstrap/css
	cp -v -r /usr/share/javascript/bootstrap/js _build/src/$(PKG)/gui/default/vendor/bootstrap/js
	# font-awesome
	mkdir -p _build/src/$(PKG)/gui/default/vendor/fork-awesome
	cp --dereference -v -r /usr/share/fonts-fork-awesome/css _build/src/$(PKG)/gui/default/vendor/fork-awesome/css
	cp --dereference -v -r /usr/share/fonts-fork-awesome/fonts _build/src/$(PKG)/gui/default/vendor/fork-awesome/fonts
	# build assets
	cd _build/src/$(PKG) && go run script/genassets.go gui > lib/api/auto/gui.files.go
	cp $(SOURCE)/lib/upgrade/signingkey.pem _build/src/$(PKG)/lib/upgrade/
	# Now remove the vendor stuff, we don't really want to ship it in the -dev package.
	rm -rf _build/src/$(PKG)/gui/default/vendor

	###############
	## test data ##
	###############
	# tip: `find . -type d -name testdata`
	# then put them here in alphabetical order
	cp -rv $(SOURCE)/lib/api/testdata _build/src/$(PKG)/lib/api/
	cp -rv $(SOURCE)/lib/model/testdata _build/src/$(PKG)/lib/model/
	cp -rv $(SOURCE)/lib/config/testdata _build/src/$(PKG)/lib/config/
	# syncthing/test
	cp -rv $(SOURCE)/test/h1 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/h2 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/h3 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/h4 _build/src/$(PKG)/test/
	cp -rv $(SOURCE)/test/logs _build/src/$(PKG)/test/
	mkdir -p _build/src/$(PKG)/lib/versioner/_external_test
	cp $(SOURCE)/lib/versioner/_external_test/external.sh _build/src/$(PKG)/lib/versioner/_external_test/external.sh

	# lintian: package-contains-vcs-control-file
	rm -f _build/src/$(PKG)/lib/db/testdata/.gitignore
	rm -f _build/src/$(PKG)/test/logs/.gitignore

override_dh_auto_build:
	dh_auto_build -- -ldflags "-X github.com/syncthing/syncthing/lib/build.Version=$(ST_DEB_VERSION) \
                                   -X github.com/syncthing/syncthing/lib/build.User=debian \
                                   -X github.com/syncthing/syncthing/lib/build.Host=debian \
                                   -X github.com/syncthing/syncthing/lib/build.Stamp=$(SOURCE_DATE_EPOCH)" \
	                           -tags 'noupgrade purego'

# Don't run tests on architectures that are not supported
# by upstream.
SKIP_TESTS := True

ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64 i386))
SKIP_TESTS := False
endif

TEST_OPTS =

ifeq ($(DEB_HOST_ARCH_CPU),i386)
TEST_OPTS += -short
endif

override_dh_auto_test:
	if [ "$(SKIP_TESTS)" = "True" ]; then \
		echo "Skipping tests"; \
	else \
		dh_auto_test -- $(TEST_OPTS); \
	fi

override_dh_installsystemduser:
	# Don't enable user units by default.
	# See bug #1001147.
	dh_installsystemduser --no-enable

## syncthing 1.29.5~ds1

=== gui/default/vendor/HumanizeDuration.js/Makefile ===

help:
	@echo To update this package, type: make update

update:
	wget -O LICENSE.txt https://raw.githubusercontent.com/rasa/HumanizeDuration.js/main/LICENSE.txt
	wget -O humanize-duration.js https://raw.githubusercontent.com/rasa/HumanizeDuration.js/main/humanize-duration.js

=== debian/changelog ===
syncthing (1.29.5~ds1-3) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * Annotate d/watch to document the necessary workaround for successful
    signature verification.

  [ Carlos Henrique Lima Melara ]
  * d/p/chore-update-quic-go-adapt-to-lack-of-write-tracking-1045.patch:
    cherry-pick from upstream. (Closes: #1114400)

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sat, 29 Nov 2025 17:48:58 -0300

syncthing (1.29.5~ds1-2) unstable; urgency=medium

  * Team upload.
  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 20 Apr 2025 17:21:27 -0400

syncthing (1.29.5~ds1-1) unstable; urgency=medium

  * Team upload.
  * Set upstream metadata fields: Security-Contact.
  * New upstream version 1.29.5~ds1.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 14 Apr 2025 18:06:58 -0400

=== debian/watch ===
# Note that upstream signs with multiple signatures, so "sopf" must be
# installed for uscan to succeed.  See Bug #1010955 for more information

version=4
opts="\
    dversionmangle=auto,\
    uversionmangle=s/.*\/v([\d\.]+)(-beta[\.\d]+)?\.tar\.gz/$1$2/;s/-beta/~beta/;s/-rc/~rc/,\
    downloadurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@\.tar\.gz/releases\/download\/v$1\/syncthing-source-v$1.tar.gz/,\
    pgpsigurlmangle=s/$/.asc/,\
    repacksuffix=~ds1" \
  https://github.com/syncthing/syncthing/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
